File: control

package info (click to toggle)
python2.7 2.7.13-2+deb9u3
  • links: PTS, VCS
  • area: main
  • in suites: stretch
  • size: 77,372 kB
  • sloc: python: 447,713; ansic: 441,673; sh: 17,442; asm: 14,304; makefile: 4,795; objc: 761; exp: 499; cpp: 128; xml: 74
file content (219 lines) | stat: -rw-r--r-- 9,018 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
Source: python2.7
Section: python
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.17.11), gcc (>= 4:6.3),
  quilt, autoconf, autotools-dev,
  lsb-release, sharutils,
  libreadline-dev, libtinfo-dev, libncursesw5-dev (>= 5.3),
  tk-dev, blt-dev (>= 2.4z), libssl-dev,
  zlib1g-dev, libbz2-dev,
  libexpat1-dev,
  libbluetooth-dev [linux-any] <!profile.nobluetooth>,
  locales [!armel !avr32 !hppa !ia64 !mipsel],
  libsqlite3-dev, libffi-dev (>= 3.0.5) [!or1k !avr32],
  libgpm2 [linux-any],
  mime-support, netbase, net-tools, bzip2, time,
  libdb-dev (<< 1:6.0), libgdbm-dev, python:any, help2man,
  xvfb, xauth
Build-Depends-Indep: python3-sphinx
Build-Conflicts: tcl8.4-dev, tk8.4-dev,
  python2.7-xml, python-xml,
  autoconf2.13, python-cxx-dev,
  hardening-wrapper
Standards-Version: 3.9.8
Vcs-Browser: https://code.launchpad.net/~doko/python/pkg2.7-debian
Vcs-Bzr: http://bazaar.launchpad.net/~doko/python/pkg2.7-debian
XS-Testsuite: autopkgtest

Package: python2.7
Architecture: any
Multi-Arch: allowed
Priority: optional
Depends: python2.7-minimal (= ${binary:Version}), libpython2.7-stdlib (= ${binary:Version}), mime-support, ${shlibs:Depends}, ${misc:Depends}
Suggests: python2.7-doc, binutils
Conflicts: python-profiler (<= 2.7.1-2)
Breaks: python-virtualenv (<< 1.7.1.2-2~), vim-nox (<< 2:7.3.547-4), vim-gtk (<< 2:7.3.547-4), vim-gnome (<< 2:7.3.547-4), vim-athena (<< 2:7.3.547-4)
Replaces: python-profiler (<= 2.7.1-2), python2.7-minimal (<< 2.7.3-7~)
Description: Interactive high-level object-oriented language (version 2.7)
 Python is a high-level, interactive, object-oriented language. Its 2.7 version
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.

Package: libpython2.7-stdlib
Architecture: any
Multi-Arch: same
Priority: optional
Depends: libpython2.7-minimal (= ${binary:Version}), mime-support, ${shlibs:Depends}, ${misc:Depends}
Provides: python2.7-cjkcodecs, python2.7-ctypes, python2.7-elementtree, python2.7-celementtree, python2.7-wsgiref, python2.7-profiler, python2.7-argparse, python-argparse
Replaces: python2.7 (<< 2.7.5-0~)
Breaks: python-urllib3 (<< 1.9.1-3)
Description: Interactive high-level object-oriented language (standard library, version 2.7)
 Python is a high-level, interactive, object-oriented language. Its 2.7 version
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package contains Python 2.7's standard library. It is normally not
 used on its own, but as a dependency of python2.7.

Package: python2.7-minimal
Architecture: any
Multi-Arch: allowed
Priority: optional
Pre-Depends: ${shlibs:Pre-Depends}
Depends: libpython2.7-minimal (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: python2.7
Suggests: binfmt-support
Replaces: python2.7 (<< 2.7.8-7~)
Conflicts: binfmt-support (<< 1.1.2)
Description: Minimal subset of the Python language (version 2.7)
 This package contains the interpreter and some essential modules.  It can
 be used in the boot process for some basic tasks.
 See /usr/share/doc/python2.7-minimal/README.Debian for a list of the modules
 contained in this package.

Package: libpython2.7-minimal
Architecture: any
Multi-Arch: same
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libpython2.7-stdlib
Replaces: python2.7 (<< 2.7.4-2), python2.7-minimal (<< 2.7.3-10), libpython2.7-stdlib (<< 2.7.8-7)
Breaks: python2.7-minimal (<< 2.7.4~rc1-1~)
Conflicts: binfmt-support (<< 1.1.2)
Description: Minimal subset of the Python language (version 2.7)
 This package contains some essential modules. It is normally not
 used on it's own, but as a dependency of python2.7-minimal.

Package: libpython2.7
Architecture: any
Multi-Arch: same
Section: libs
Priority: optional
Pre-Depends: ${misc:Pre-Depends} 
Depends: libpython2.7-stdlib (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: python2.7 (<< 2.6)
Description: Shared Python runtime library (version 2.7)
 Python is a high-level, interactive, object-oriented language. Its 2.7 version
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package contains the shared runtime library, normally not needed
 for programs using the statically linked interpreter.

Package: python2.7-examples
Architecture: all
Multi-Arch: foreign
Depends: python2.7:any (>= ${source:Version}), ${misc:Depends}
Description: Examples for the Python language (v2.7)
 Examples, Demos and Tools for Python (v2.7). These are files included in
 the upstream Python distribution (v2.7).

Package: python2.7-dev
Architecture: any
Multi-Arch: allowed
Depends: python2.7 (= ${binary:Version}), libpython2.7-dev (= ${binary:Version}), libpython2.7 (= ${binary:Version}), libexpat1-dev, ${shlibs:Depends}, ${misc:Depends}
Recommends: libc6-dev | libc-dev
Replaces: python2.7 (<< 2.7-3)
Description: Header files and a static library for Python (v2.7)
 Header files, a static library and development tools for building
 Python (v2.7) modules, extending the Python interpreter or embedding
 Python (v2.7) in applications.
 .
 Maintainers of Python packages should read README.maintainers.

Package: libpython2.7-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends} 
Depends: libpython2.7-stdlib (= ${binary:Version}), libpython2.7 (= ${binary:Version}), libexpat1-dev, ${shlibs:Depends}, ${misc:Depends}
Replaces: python2.7 (<< 2.7-3), python2.7-dev (<< 2.7.3-10), python2.7-minimal (<< 2.7.3-10)
Recommends: libc6-dev | libc-dev
Description: Header files and a static library for Python (v2.7)
 Header files, a static library and development tools for building
 Python (v2.7) modules, extending the Python interpreter or embedding
 Python (v2.7) in applications.
 .
 Maintainers of Python packages should read README.maintainers.
 .
 This package contains development files. It is normally not
 used on it's own, but as a dependency of python2.7-dev.

Package: libpython2.7-testsuite
Section: libdevel
Architecture: all
Depends: libpython2.7-stdlib (>= ${binary:Version}), ${misc:Depends}
Suggests: python-gdbm, python-tk
Description: Testsuite for the Python standard library (v2.7)
 The complete testsuite for the Python standard library.  Note that
 a subset is found in the libpython2.7-stdlib package, which should
 be enough for other packages to use (please do not build-depend
 on this package, but file a bug report to include additional 
 testsuite files in the libpython2.7-stdlib package).

Package: idle-python2.7
Architecture: all
Depends: python2.7, python-tk (>= 2.6~a3), python2.7-tk, ${misc:Depends}
Enhances: python2.7
Replaces: python2.7 (<< 2.6.1-2)
Description: IDE for Python (v2.7) using Tkinter
 IDLE is an Integrated Development Environment for Python (v2.7).
 IDLE is written using Tkinter and therefore quite platform-independent.

Package: python2.7-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: libjs-jquery, libjs-underscore, ${misc:Depends}
Suggests: python2.7
Description: Documentation for the high-level object-oriented language Python (v2.7)
 These is the official set of documentation for the interactive high-level
 object-oriented language Python (v2.7). All documents are provided
 in HTML format. The package consists of ten documents:
 .
   * What's New in Python2.7
   * Tutorial
   * Python Library Reference
   * Macintosh Module Reference
   * Python Language Reference
   * Extending and Embedding Python
   * Python/C API Reference
   * Installing Python Modules
   * Documenting Python
   * Distributing Python Modules

Package: python2.7-dbg
Section: debug
Architecture: any
Multi-Arch: allowed
Priority: extra
Depends: python2.7 (= ${binary:Version}), libpython2.7-dbg (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: python-gdbm-dbg, python-tk-dbg
Description: Debug Build of the Python Interpreter (version 2.7)
 The package holds two things:
 .
 - A Python interpreter configured with --pydebug. Dynamically loaded modules
   are searched as <foo>_d.so first. Third party extensions need a separate
   build to be used by this interpreter.
 - Debug information for standard python interpreter and extensions.
 .
 See the README.debug for more information.

Package: libpython2.7-dbg
Section: debug
Architecture: any
Multi-Arch: same
Priority: extra
Pre-Depends: ${misc:Pre-Depends} 
Depends: libpython2.7-stdlib (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: python2.7-gdbm-dbg, python2.7-tk-dbg
Replaces: python2.7-dbg (<< 2.7.3-10)
Description: Debug Build of the Python Interpreter (version 2.7)
 The package holds two things:
 .
 - Extensions for a Python interpreter configured with --pydebug.
 - Debug information for standard python extensions.
 .
 See the README.debug for more information.